import os
import yaml
from functions import log
from skintemp import skintemp

with open("scripts/input_python.yaml", "r") as f:
    directories = yaml.load(f, Loader=yaml.FullLoader)

log("Creating directories")
for directory in directories.values():
    if not os.path.exists(directory):
        os.makedirs(directory)
        
log("Processing skin temperature data", 1)
S = skintemp()
if S.read_data(directories["Level0_dir"]):
    S.quality_flags("quality_assurance.json")
    S.to_NetCDF(directories["Level1_dir"], "L1")
